Subject: Re: Consensus on a new default branch name

From: Taylor Blau <[email-masked]>
Date: Mon, 15 Jun 2020 20:31:18 -0600

Hi Jonathan,

On Mon, Jun 15, 2020 at 07:22:39PM -0700, Jonathan Nieder wrote:
> Hi Nomen,
>
> Nomen Nescio wrote:
>
> > Taylor, how do you propose to build this consensus you're talking about
> > on the name change?
>
> I'm glad you're interested in learning more about the Git development
> process!
>
> There are some open source projects that function (mostly) as a
> democracy --- they build the features that those voting request.  A
> famous example of this would be PHP[1].  There is something admirable
> about that approach, but it is not always easy to get right.  Many
> other projects have their own approaches to governance.
>
> In Git, we make most decisions by a rough consensus of active
> contributors, as judged by the maintainer.  There are times that
> consensus may go in a direction that is unworkable, and the maintainer
> has the ability to make a different decision during those times.  If
> decision making ever goes off the rails (perhaps you've judged this to
> be such a moment!), users of Git have the recourse of forking the
> code; such moments have happened in some open source projects in the
> past, for the better, such as the EGCS fork of GCC that was widely
> used by distributors and eventually became the standard version of
> GCC.
>
> If you are looking to have more influence in the Git project, my
> advice would be to become a respected contributor, by providing
> patches, well thought out reviews, documentation improvements, advice
> to bug reporters, or other contributions.  As others learn to trust
> your feedback, you will have more influence on consensus.  Even
> better, you get the immediate benefit of your own work as soon as you
> do it.
>
> I believe Taylor was also interested in another kind of consensus,
> between hosting providers, but that would be likely to coincide with
> what the Git project does so the difference is a bit academic.

What I am broadly interested in is a consensus among the community, so
that we don't have a variety of different names for the default branch
based on where and how you use Git. Of course, by introducing a
configuration option, some variety is to be expected, but I would like
to avoid, for example, GitHub/GitLab/Bitbucket choosing a different name
from what the Git project decides on.

> [...]
> > slacktivism
>
> This is a very weird way to describe the people who are spending their
> time to maintain Git.
>
> Thanks and hope that helps,
> Jonathan
>
> [1] https://lwn.net/Articles/821821/

Thanks,
Taylor